require 'fast_helper'
require 'background_jobs/job_id_generator'
require 'imitate'

describe BackgroundJobs::JobIdGenerator do
  let(:generator) do
    Imitate.mock('Generator') do
      include BackgroundJobs::JobIdGenerator
    end
  end

  describe '.generate' do
    let(:result1) { generator.generate_job_id }
    let(:result2) { generator.generate_job_id }
    let(:result3) { generator.generate_job_id }

    subject { result1 }

    it { should_not == result2 }
    it { should_not == result3 }
    it(:result2) { should_not == result3 }
  end
end