# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'version'

Gem::Specification.new do |spec|
  spec.name          = "ctt-background-jobs"
  spec.version       = BackgroundJobs::VERSION
  spec.authors       = ["CTT Innovations"]
  spec.email         = ["info@cttinnovations.com"]
  spec.description   = 'Common CTT caching tools.'
  spec.summary       = 'CTT Caching.'
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'ctt-notifications', "~> 0.1"
  spec.add_dependency 'require_relative', '1.0.2'  

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency 'delayed_job_active_record', '0.4.2'
  spec.add_development_dependency 'imitate', '0.2.0'
  spec.add_development_dependency 'mocha', '0.13.3'
  spec.add_development_dependency "rake"
  spec.add_development_dependency 'rspec', '2.13.0'
  spec.add_development_dependency 'shoulda', '3.4.0'
  spec.add_development_dependency 'sidekiq'
  spec.add_development_dependency 'timecop', '0.6.1'

  if RUBY_ENGINE == 'jruby'
    spec.add_development_dependency 'torquebox', '2.3.0'
  end
end
