require 'fast_helper'
require 'background_jobs/configuration'

module BackgroundJobs
  describe Configuration do
    describe '#strategy' do
      context 'with env configuration set' do
        before { BackgroundJobs.configure {|c| c.strategy = 'foo' } }
        it { BackgroundJobs.config.strategy.should == 'foo' }
      end
    end
  end
end
